﻿using Android.App;
using Android.Content;
using Android.Hardware;
using Android.Media;
using AndroidX.Core.App;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static Android.Icu.Text.CaseMap;

namespace BeSafePlus.Platforms.Android
{
    public static class NotificationBuilder
    {
        public static void PostNotification(string title, string content, string description = "")
        {
            var channelId = "besafe";
            var context = global::Android.App.Application.Context;
            var service = context.GetSystemService(Context.NotificationService) as NotificationManager;
            var channel = new NotificationChannel("BesafePlus", "BesafePlus", NotificationImportance.Default)
            {
                Description = description
            };

            var builder = new NotificationCompat.Builder(context, channelId)
                      .SetContentTitle("hejsa")
                      .SetContentText("hejsa")
                      .SetSmallIcon(Resource.Drawable.notification_icon_background)
                      .SetPriority((int)NotificationPriority.High)
                      .SetOngoing(true)
                      .SetAutoCancel(true);

            service?.Notify(1000, builder.Build());
        }
    }
}
