﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BeSafePlus.Sensors
{
    public interface IActivityTrackingSensor
    {
        public event Action<int, DateTime>? StepCounterChangeEvent;

        public event Action<float, float, float, DateTime>? AccelerometerChangeEvent;

        public event Func<Task>? ResetStepCountEvent;
        public void Start();
        public void Stop();
        public Task ResetDailySteps();
    }
}