﻿using BeSafePlus.ViewModels;
using BeSafePlus.Sensors;
using BeSafePlus.Drawables;
using Microsoft.Maui.Controls;
using System.ComponentModel;

namespace BeSafePlus
{
    public partial class MainPage : ContentPage
    {
        private readonly MainViewModel _vm;

        public MainPage(MainViewModel vm)
        {
            InitializeComponent();

            BindingContext = vm;

            _vm = vm;
        }
        protected override async void OnAppearing()
        {
            base.OnAppearing();

            await _vm.LoadStepGoal();
        }
    }
}