﻿using BeSafePlus.Services;
using UIKit;

namespace BeSafePlus.Platforms.iOS.UI
{
    public class UIService : IUIService
    {
        public void ApplyTheme(bool isDarkMode)
        {
            var statusBarStyle = isDarkMode
                ? UIStatusBarStyle.LightContent
                : UIStatusBarStyle.DarkContent;

            UIApplication.SharedApplication.StatusBarStyle = statusBarStyle;
        }
    }
}